org.apache.maven.scm.provider.tfs.command

## Class TfsCommand

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.TfsCommand

-     public class TfsCommand
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfsCommand(String cmd, ScmProviderRepository r, ScmFileSet f, ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArgument(ScmFileSet f)`
    `void` | `addArgument(String s)`
    `int` | `execute(org.codehaus.plexus.util.cli.StreamConsumer out, ErrorStreamConsumer err)`
    `org.codehaus.plexus.util.cli.Commandline` | `getCommandline()`
    `String` | `getCommandString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TfsCommand

          public TfsCommand(String cmd,
                    ScmProviderRepository r,
                    ScmFileSet f,
                    ScmLogger logger)

  - ### Method Detail

    - #### addArgument

          public void addArgument(ScmFileSet f)

    - #### addArgument

          public void addArgument(String s)

    - #### execute

          public int execute(org.codehaus.plexus.util.cli.StreamConsumer out,
                    ErrorStreamConsumer err)
                      throws ScmException

      Throws:
        `ScmException`

    - #### getCommandString

          public String getCommandString()

    - #### getCommandline

          public org.codehaus.plexus.util.cli.Commandline getCommandline()

Copyright © 2003–2015. All rights reserved.